FROM nvcr.io/nvidia/tritonserver:23.10-py3
ARG UID=1000
ARG GID=1000
RUN groupadd --system --force --gid ${GID} builder && id -u ${UID} &>/dev/null || useradd --system --gid ${GID} --uid ${UID} builder
RUN pip install -U certifi
RUN DEBIAN_FRONTEND=noninteractive apt-get update && apt-get install -y cmake build-essential pkg-config libgoogle-perftools-dev unzip rapidjson-dev ca-certificates locales && locale-gen en_US.UTF-8 && update-locale LANG=en_US.UTF-8
USER ${UID}
WORKDIR /home/builder